# Naming conflicts

{% hint style="success" %}
This is the official documentation of the `forestadmin/laravel-forestadmin` v2+ and `forestadmin/symfony-forestadmin` PHP agents.
{% endhint %}

#### Collection naming collisions

When importing collections to an admin panel, you may encounter naming collisions.

You can tackle them by renaming the collection that is causing issues.

There are two ways to rename collections: either provide a plain object which maps the old names to the new names, or a function which does the same.

Don't worry about leaving naming collisions: your development agent will warn you and crash at startup.

```php
use ForestAdmin\AgentPHP\Agent\Utils\Env;
use ForestAdmin\AgentPHP\DatasourceDoctrine\DoctrineDatasource;
use ForestAdmin\SymfonyForestAdmin\Service\ForestAgent;

return static function (ForestAgent $forestAgent) {
    // Rename the `customers` and `stores` collections.
    // Note that other collections won't be renamed.
    $forestAgent->addDatasource(
        new DoctrineDatasource(
            $forestAgent->getEntityManager(),
            ['url' => Env::get('DATABASE_URL')]
        ),
        [
            'rename' => [
                'Customer' => 'CustomerFromDoctrine',
                'Store' => 'StoreFromDoctrine',
            ],
        ]
    )
        ->build();
};
```

#### Field naming collisions

You can tackle them by renaming the fields that are causing issues too.

Use the [renameField method](/developer-guide-agents-php/agent-customization/fields/import-rename-remove.md#renaming-and-removing-fields-and-relations) to change the name inside your forestadmin-schema.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.forestadmin.com/developer-guide-agents-php/data-sources/getting-started/naming-conflicts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
